<?php
$buttons = [
	'sbcvmupdate-update' => [
		'default'	=> null,
		'display'	=> 'fieldButton',
		'key'			=> 'sbcvmupdate-update',
		'title'		=> 'UPDATE_TOOL_BUTTON_UPDATE',
	],
	'sbcvmupdate-save' => [
		'default'	=> null,
		'display'	=> 'fieldButton',
		'key'			=> 'sbcvmupdate-save',
		'title'		=> 'BUTTON_SAVE',
	], 
];

$data = [
	'sbcvmupdate-mode' => [
		'default'		=> 'manual',
		'display'		=> 'fieldSelect',
		'key'				=> 'sbcvmupdate-mode',
		'options'		=> [
			'select' => [
				'manual'	=> 'UPDATE_TOOL_DATA_SBCVM_MANUAL',
				'daily'		=> 'UPDATE_TOOL_DATA_SBCVM_DAILY',
				'weekly'	=> 'UPDATE_TOOL_DATA_SBCVM_WEEKLY',
				'monthly'	=> 'UPDATE_TOOL_DATA_SBCVM_MONTHLY',
			],
		],
		'title'			=> 'UPDATE_TOOL_SBCVM_MODE_DIS',
		'tooltip'		=> 'UPDATE_TOOL_SBCVM_MODE_TOOLTIP',
		'validator' => 'select',
	],
	'sbcvmupdate-shownotif'	=> [
		'default'		=> 1,
		'display'		=> 'fieldCheckbox',
		'key'				=> 'sbcvmupdate-shownotif',
		'title'			=> 'UPDATE_TOOL_SHOWNOTIF_DIS',
		'tooltip'		=> 'UPDATE_TOOL_SHOWNOTIF_TOOLTIP',
		'validator'	=> 'bool',
	],
	'sbcvmupdate-reboot' => [
		'default'		=> 1,
		'display'		=> 'fieldCheckbox',
		'key'				=> 'sbcvmupdate-reboot',
		'title'			=> 'UPDATE_TOOL_REBOOT_DIS',
		'tooltip'		=> 'UPDATE_TOOL_REBOOT_TOOLTIP',
		'validator'	=> 'bool',
	],
];

$msg = [
	'act-call-confirm1' => 'UPDATE_TOOL_CONFIRM_WITHOUTCALLS',
	'act-call-confirm2' => 'UPDATE_TOOL_CONFIRM_WITHCALLS',
	'act-call-title'		=> 'UPDATE_TOOL_CONFIRM_TITLE',
	'alert'							=> 'UPDATE_TOOL_MESSAGE_DIS',
	'error-2'						=> 'UPDATE_TOOL_ERROR_CLEANING',
	'error-3'						=> 'UPDATE_TOOL_ERROR_SAVING_CRON',
	'successful'				=> 'UPDATE_TOOL_SUCCESSFUL',
];

return [
	'btns'	=> $buttons,
	'data'	=> $data,
	'msg'		=> $msg,
];
?>
